E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
G::PamImp Class Reference

A pimple-pattern implementation class for G::Pam. More...

## Public Types
typedef pam_handle_t * | Handle

## Public Member Functions
| PamImp (G::Pam &pam, const std::string &app, const std::string &user, bool silent)
Handle | hpam () const
bool | silent () const
bool | authenticate (bool)
void | check (const std::string &, int) const
void | setCredentials (int)
void | checkAccount (bool)
void | openSession ()
void | closeSession ()
std::string | name () const

## Static Public Member Functions
static bool | success (int)

## Public Attributes
Pam & | m_pam
int | m_magic
int | m_rc
Handle | m_hpam
Conversation | m_conv
bool | m_silent

## Detailed Description

A pimple-pattern implementation class for G::Pam.

Definition at line 65 of file gpam_linux.cpp.

The documentation for this class was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gpam_linux.cpp